使用 3 个点创建角度尺寸。 支持的平台:仅窗口 签名工 务 局: RetVal = object.AddDim3PointAngular(AngleVertex, FirstEndPoint, SecondEndPoint, TextPoint) 言论没有额外的评论。 例子工 务 局: Sub Example_AddDim3PointAngular() ' This example creates a Dim3PointAngular object in model space Dim DimPointAngularObj As AcadDim3PointAngular Dim AngleVertex(0 To 2) As Double Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double ' Define the new Dim3PointAngular object AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0 FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0 SecondPoint(0) = 2: SecondPoint(1) = 4: SecondPoint(2) = 0 TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0 ' Create the new Dim3PointAngular object in model space Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint) ThisDrawing.Application.ZoomAll MsgBox "A Dim3PointAngular object has been created." End Sub Visual LISP: (vl-load-com) (defun c:Example_AddDim3PointAngular() ;; This example creates a Dim3PointAngular object in model space (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the new Dim3PointAngular object (setq AngleVertex (vlax-3d-point 0 0 0) FirstPoint (vlax-3d-point 2 2 0) SecondPoint (vlax-3d-point 2 4 0) TextPoint (vlax-3d-point 6 6 0)) ;; Create the new Dim3PointAngular object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint)) (vla-ZoomAll acadObj) (alert "A Dim3PointAngular object has been created.") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:41
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.